<div class="container-fluid">
  <div class="col-12">
    <h1>{{title}}</h1>
    <div class="row">
      <div class="col-9">
        <div class="data-ptofile text-center" *ngIf="user">
          <img class="avatar-profile" src="{{url + 'get-image-user/'+ user.image }}" alt="" *ngIf="user.image">
          <img class="avatar-profile" src="assets/icon-user-default.png" alt="" *ngIf="!user.image">
          <br>
          <span *ngIf="followed" class="badge badge-secondary">Te sigue</span>
          <div class="profile-name">{{user.name + ' '+ user.surname}}</div>
          <span class="profile-nick">{{user.nick}}</span>
          <br>
          <button type="button" class="btn btn-success mt-3" *ngIf="following==false && user._id!=identity._id" (click)="followUser(user._id)">
            Seguir
          </button>

          <button type="button" class="btn btn-primary mt-3" *ngIf="following" (click)="unfollowUser(user._id)"
            (mouseenter)="mouseEnter(user._id)" (mouseleave)="mouseLeave()"
            [ngClass]="{'btn-danger':user._id==followUserOver}">
            <span *ngIf="user._id==followUserOver; else following">
              <i class="fas fa-minus-square"></i>
              Dejar de seguir
            </span>
            <ng-template #following>
              <span>
                <i class="fas fa-check-circle"></i>
                Siguiendo
              </span>
            </ng-template>
          </button>
          <div id="user-stats" class="row" *ngIf="stats">
            <div class="col div-stats"><a [routerLink]="['/followed',user._id,1]"><span class="label-sidebar-stats">Seguidores: </span><br> <span
                  class="num-sidebar-stats">{{stats.followed}}</span></a></div>
            <div class="col div-stats"><a [routerLink]="['/following',user._id,1]"><span class="label-sidebar-stats">Siguiendo: </span> <br> <span
                  class="num-sidebar-stats">{{stats.following}}</span></a></div>
            <div class="col div-stats"><a [routerLink]="['/profile',user._id]"><span class="label-sidebar-stats">Pubicaciones: </span> <br>
                <span class="num-sidebar-stats num-sidebar-stats-last" >{{stats.publications}}</span></a>
            </div>
          </div>
        </div>
        <div *ngIf="user">
          <publication [user]="user._id"></publication>
        </div>

      </div>
      <div class="col-3">
        <!--Barra de usuarios-->
        <sidebar></sidebar>
      </div>
    </div>
  </div>
</div>